# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "longbridge"
version = "4.0.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Longbridge OpenAPI SDK for Rust"
homepage = "https://open.longbridge.com/en/"
readme = "README.md"
keywords = [
    "longbridge",
    "openapi",
    "sdk",
]
categories = ["api-bindings"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/longbridge/openapi"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
blocking = [
    "flume",
    "longbridge-oauth/blocking",
]

[lib]
name = "longbridge"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.bitflags]
version = "2.9.2"
features = ["serde"]

[dependencies.comfy-table]
version = "7.1.4"

[dependencies.dotenv]
version = "0.15.0"

[dependencies.flume]
version = "0.11.1"
optional = true

[dependencies.futures-util]
version = "0.3.31"

[dependencies.http]
version = "1.3.1"

[dependencies.itertools]
version = "0.14.0"

[dependencies.longbridge-candlesticks]
version = "4.0.4"

[dependencies.longbridge-httpcli]
version = "4.0.4"

[dependencies.longbridge-oauth]
version = "4.0.4"

[dependencies.longbridge-proto]
version = "4.0.4"

[dependencies.longbridge-wscli]
version = "4.0.4"

[dependencies.num_enum]
version = "0.7.4"

[dependencies.prost]
version = "0.14.1"

[dependencies.rust_decimal]
version = "1.37.2"
features = [
    "serde-with-str",
    "maths",
]

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.142"

[dependencies.strum]
version = "0.27.2"

[dependencies.strum_macros]
version = "0.27.2"

[dependencies.thiserror]
version = "2.0.15"

[dependencies.time]
version = "0.3.41"
features = [
    "parsing",
    "macros",
    "formatting",
    "serde",
    "serde-human-readable",
]

[dependencies.time-tz]
version = "2.0.0"

[dependencies.tokio]
version = "1.47.1"
features = [
    "time",
    "rt",
    "macros",
    "sync",
    "net",
]

[dependencies.tokio-tungstenite]
version = "0.27.0"

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-appender]
version = "0.2.3"

[dependencies.tracing-subscriber]
version = "0.3.19"

[dependencies.url]
version = "2.5.4"

[dev-dependencies.tokio]
version = "1.47.1"
features = ["rt-multi-thread"]
